<div class="pt-20" *ngIf="viewProfile">
    <a class="flex items-center justify-center cursor-pointer" (click)="actionTrigger()">
        <div class="fixed z-10 w-10 h-10 transition-all bg-white bottom-5 right-5 flex items-center justify-center rounded-lg"
            [ngClass]="scelta ? 'bg-red-400' : 'bg-blue-200 dark:bg-white'">
            <svg class="transition-all" xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24"
                width="24px" fill="#000000" [ngClass]="scelta ? '-rotate-45':''">
                <path d="M0 0h24v24H0V0z" fill="none" />
                <path xmlns="http://www.w3.org/2000/svg" d="M19 13h-6v6h-2v-6H5v-2h6V5h2v6h6v2z" />
            </svg>
        </div>
    </a>
    <div class="fixed top-1/2 -translate-y-1/2 z-10 w-screen transition-all cursor-pointer"
        [ngClass]="scelta ? 'opacity-100':'opacity-0 pointer-events-none'">
        <div class="flex items-center justify-center mx-4 py-4 px-14 text-base font-medium text-white border-4 border-white bg-blue-500 rounded-t-lg border-b-0"
            [ngClass]="infoSelected ? 'bg-blue-700':''" (click)="visualizza(1)">
            Info</div>
        <div class="flex items-center justify-center mx-4 py-4 px-14 text-base font-medium text-white border-4 border-white bg-blue-500"
            [ngClass]="createdEventsSelected ? 'bg-blue-700':''" (click)="visualizza(2)">
            Eventi creati</div>
        <div class="flex items-center justify-center mx-4 py-4 px-14 text-base font-medium text-white border-4 border-white bg-blue-500 border-t-0"
            [ngClass]="followedEventsSelected ? 'bg-blue-700':''" (click)="visualizza(3)">
            Eventi a cui sei iscritto</div>
        <div class="flex items-center justify-center mx-4 py-4 px-14 text-base font-medium text-white border-4 border-white bg-blue-500 rounded-b-lg border-t-0"
            routerLink="/create">
            Crea un evento</div>
    </div>
    <div class="mx-auto px-4 sm:px-6 lg:px-8" *ngIf="infoSelected">
        <div class="mt-6 grid grid-cols-1">
            <div class="group relative bg-blue-400 dark:bg-slate-200 m-4 p-8 rounded-2xl">
                <div class="md:flex md:justify-between md:mx-[15vw]">
                    <div class="md:block">
                        <div class="flex justify-center">
                            <h2 class="text-2xl font-bold text-white dark:text-black">{{ firebaseService.userInfo.user.userName }}</h2>
                        </div>
                        <div class="p-4 overflow-hidden flex justify-center md:hidden bg-transparent">
                            <img [src]="firebaseService.userInfo.user.userImg" alt="immagine utente"
                                class="w-[96px] h-[96px] rounded-full">
                        </div>
                        <div class="mt-4 flex justify-center">
                            <div>
                                <h2 class="pb-4 font-medium text-sm text-white dark:text-gray-700 flex justify-center">{{
                                    firebaseService.userInfo.user.userEmail }}</h2>
                                <p class="pb-4 font-medium text-sm text-white dark:text-gray-500 flex justify-center text-center">Account creato il: {{ createdAt() }}
                                </p>
                                <p class="pb-4 font-medium text-sm text-white dark:text-gray-500 flex justify-center text-center">Ultimo accesso: {{ lastLoginAt() }}
                                </p>
                                <p class="pb-4 font-medium text-sm text-white dark:text-gray-500 flex justify-center text-center">Eventi creati: {{ firebaseService.userInfo.events.eventsCreated?.length }}
                                </p>
                                <p class="pb-4 font-medium text-sm text-white dark:text-gray-500 flex justify-center text-center">Eventi a cui sei iscritto: {{ firebaseService.userInfo.events.eventsFollowed?.length }}
                                </p>
                            </div>
                        </div>
                    </div>
                    <div class="md:flex md:items-center">
                        <div class="overflow-hidden md:flex hidden bg-transparent">
                            <img [src]="firebaseService.userInfo.user.userImg" alt="immagine utente"
                                class="w-[96px] h-[96px] rounded-full">
                        </div>
                    </div>
                </div>
                <div class="flex items-center justify-center pt-6">
                    <span class="px-[8vw] py-3 rounded-lg bg-white dark:bg-blue-200 cursor-pointer flex justify-center items-center transition-colors hover:bg-red-400"
                    (click)="logOut()" routerLink="/">
                        <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24"
                            width="24px" fill="#000000">
                            <path
                                d="M3 13V11H11.65L9.1 8.45L10.5 7L15.5 12L10.5 17L9.1 15.55L11.65 13ZM5 15V19Q5 19 5 19Q5 19 5 19H19Q19 19 19 19Q19 19 19 19V5Q19 5 19 5Q19 5 19 5H5Q5 5 5 5Q5 5 5 5V9H3V5Q3 4.175 3.587 3.587Q4.175 3 5 3H19Q19.825 3 20.413 3.587Q21 4.175 21 5V19Q21 19.825 20.413 20.413Q19.825 21 19 21H5Q4.175 21 3.587 20.413Q3 19.825 3 19V15Z" />
                        </svg>
                        <div class="flex ml-2 text-base font-medium justify-center items-center text-center">
                            Esci
                        </div>
                    </span>
                </div>
            </div>
        </div>
    </div>

    <div class="mx-auto px-4 sm:px-6 lg:px-8" *ngIf="createdEventsSelected">
        <div class="mt-6 grid grid-cols-1 sm:grid-cols-1 lg:grid-cols-2 xl:grid-cols-3">
            <div *ngFor="let event of firebaseService.userInfo.events.eventsCreated">
                <div class="group relative bg-slate-400 dark:bg-slate-300 m-4 p-4 rounded-2xl">
                    <div class="mb-4 flex justify-center">
                        <h2 class="text-2xl font-bold text-white dark:text-gray-700 truncate text-center">{{ event.title }}</h2>
                    </div>
                    <div class="bg-slate-400 dark:bg-slate-300 rounded-2xl overflow-hidden" *ngIf="event.image">
                        <img [src]="event.image" alt="immagine evento"
                            class="w-full h-full lg:w-full lg:h-full rounded-2xl">
                    </div>
                    <div class="mt-4 flex justify-between">
                        <div>
                            <div class="flex justify-start items-center pt-4">
                                <div class="w-10 h-10 rounded-lg bg-white flex justify-center items-center">
                                    <svg class="w-10 h-10 p-2" xmlns="http://www.w3.org/2000/svg" height="24px"
                                        viewBox="0 0 24 24" width="24px" fill="#000000">
                                        <path
                                            d="M8 18H16V16H8ZM8 14H16V12H8ZM6 22Q5.175 22 4.588 21.413Q4 20.825 4 20V4Q4 3.175 4.588 2.587Q5.175 2 6 2H14L20 8V20Q20 20.825 19.413 21.413Q18.825 22 18 22ZM13 9V4H6Q6 4 6 4Q6 4 6 4V20Q6 20 6 20Q6 20 6 20H18Q18 20 18 20Q18 20 18 20V9ZM6 4V9V4V9V20Q6 20 6 20Q6 20 6 20Q6 20 6 20Q6 20 6 20V4Q6 4 6 4Q6 4 6 4Z" />
                                    </svg>
                                </div>
                                <h2 class="text-sm text-white dark:text-gray-700 ml-4">{{ event.description }}</h2>
                            </div>
                            <div class="flex justify-start items-center pt-4">
                                <div class="w-10 h-10 rounded-lg bg-white flex justify-center items-center">
                                    <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" height="24px"
                                        viewBox="0 0 24 24" width="24px" fill="#000000">
                                        <path d="M19 13h-6v6h-2v-6H5v-2h6V5h2v6h6v2z" />
                                    </svg>
                                </div>
                                <p class="mt-1 text-sm text-gray-100 dark:text-gray-500 ml-4">{{ unixToDate(event.dateCreation )}}
                                </p>
                            </div>
                            <div class="flex justify-start items-center pt-4">
                                <div class="w-10 h-10 rounded-lg bg-white flex justify-center items-center">
                                    <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" height="24px"
                                        viewBox="0 0 24 24" width="24px" fill="#000000">
                                        <path
                                            d="M12.5 8H11v6l4.75 2.85.75-1.23-4-2.37zm4.837-6.19l4.607 3.845-1.28 1.535-4.61-3.843zm-10.674 0l1.282 1.536L3.337 7.19l-1.28-1.536zM12 4c-4.97 0-9 4.03-9 9s4.03 9 9 9 9-4.03 9-9-4.03-9-9-9zm0 16c-3.86 0-7-3.14-7-7s3.14-7 7-7 7 3.14 7 7-3.14 7-7 7z" />
                                    </svg>
                                </div>
                                <p class="mt-1 text-sm text-gray-100 dark:text-gray-500 ml-4">{{ unixToDate(event.dateExpiration )}}
                                </p>
                            </div>
                            <div class="flex justify-start items-center pt-4">
                                <div class="w-10 h-10 rounded-lg bg-white flex justify-center items-center">
                                    <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" height="24px"
                                        viewBox="0 0 24 24" width="24px" fill="#000000">
                                        <path
                                            d="M12 6c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2m0 10c2.7 0 5.8 1.29 6 2H6c.23-.72 3.31-2 6-2m0-12C9.79 4 8 5.79 8 8s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4zm0 10c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4z" />
                                    </svg>
                                </div>
                                <p class="mt-1 text-sm text-gray-100 dark:text-gray-500 ml-4">{{ event.follower.length }}
                                    iscritt{{event.follower.length == 1 ? 'o' : 'i'}}</p>
                            </div>
                            <div *ngFor="let follower of event.follower">
                                <div class="flex justify-start items-center pt-4">
                                    <div class="w-10 h-10 rounded-lg bg-white flex justify-center items-center"
                                        *ngIf="!follower.userImg">
                                        <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" height="24px"
                                            viewBox="0 0 24 24" width="24px" fill="#000000">
                                            <path
                                                d="M12 6c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2m0 10c2.7 0 5.8 1.29 6 2H6c.23-.72 3.31-2 6-2m0-12C9.79 4 8 5.79 8 8s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4zm0 10c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4z" />
                                        </svg>
                                    </div>
                                    <img [src]="follower.userImg" *ngIf="follower.userImg" alt=""
                                        class="w-10 h-10 rounded-lg bg-white">
                                    <p class="mt-1 text-sm text-gray-100 dark:text-gray-500 ml-4">{{ follower.userName }}</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="flex items-center mt-4">
                        <span class="p-2 rounded-lg bg-blue-200 cursor-pointer flex justify-center items-center transition-colors hover:bg-red-400"
                            (click)="onDeleteEvent(event)" routerLink="/">
                            <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24"
                                width="24px" fill="#000000">
                                <path d="M0 0h24v24H0V0z" fill="none" />
                                <path
                                    d="M16 9v10H8V9h8m-1.5-6h-5l-1 1H5v2h14V4h-3.5l-1-1zM18 7H6v12c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7z" />
                            </svg>
                            <div class="flex ml-2 text-base font-medium justify-center items-center text-center">
                                Elimina
                            </div>
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="mx-auto px-4 sm:px-6 lg:px-8" *ngIf="followedEventsSelected">
        <div class="mt-6 grid grid-cols-1 sm:grid-cols-1 lg:grid-cols-2 xl:grid-cols-3">
            <div *ngFor="let event of eventsFollow">
                <div class="group relative bg-slate-400 dark:bg-slate-300 m-4 p-4 rounded-2xl">
                    <div class="mb-4 flex justify-center">
                        <h2 class="text-2xl font-bold text-white dark:text-gray-700 truncate text-center">{{ event.title }}</h2>
                    </div>
                    <div class="bg-slate-400 dark:bg-slate-300 rounded-2xl overflow-hidden" *ngIf="event.image">
                        <img [src]="event.image" alt="immagine evento"
                            class="w-full h-full lg:w-full lg:h-full rounded-2xl">
                    </div>
                    <div class="mt-4 flex justify-between">
                        <div>
                            <div class="flex justify-start items-center pt-4">
                                <div class="w-10 h-10 rounded-lg bg-white flex justify-center items-center">
                                    <svg class="w-10 h-10 p-2" xmlns="http://www.w3.org/2000/svg" height="24px"
                                        viewBox="0 0 24 24" width="24px" fill="#000000">
                                        <path
                                            d="M8 18H16V16H8ZM8 14H16V12H8ZM6 22Q5.175 22 4.588 21.413Q4 20.825 4 20V4Q4 3.175 4.588 2.587Q5.175 2 6 2H14L20 8V20Q20 20.825 19.413 21.413Q18.825 22 18 22ZM13 9V4H6Q6 4 6 4Q6 4 6 4V20Q6 20 6 20Q6 20 6 20H18Q18 20 18 20Q18 20 18 20V9ZM6 4V9V4V9V20Q6 20 6 20Q6 20 6 20Q6 20 6 20Q6 20 6 20V4Q6 4 6 4Q6 4 6 4Z" />
                                    </svg>
                                </div>
                                <h2 class="text-sm text-white dark:text-gray-700 ml-4">{{ event.description }}</h2>
                            </div>
                            <div class="flex justify-start items-center pt-4">
                                <div class="w-10 h-10 rounded-lg bg-white flex justify-center items-center">
                                    <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" height="24px"
                                        viewBox="0 0 24 24" width="24px" fill="#000000">
                                        <path
                                            d="M12.5 8H11v6l4.75 2.85.75-1.23-4-2.37zm4.837-6.19l4.607 3.845-1.28 1.535-4.61-3.843zm-10.674 0l1.282 1.536L3.337 7.19l-1.28-1.536zM12 4c-4.97 0-9 4.03-9 9s4.03 9 9 9 9-4.03 9-9-4.03-9-9-9zm0 16c-3.86 0-7-3.14-7-7s3.14-7 7-7 7 3.14 7 7-3.14 7-7 7z" />
                                    </svg>
                                </div>
                                <p class="mt-1 text-sm text-gray-100 dark:text-gray-500 ml-4">{{ unixToDate(event.dateExpiration )}}
                                </p>
                            </div>
                            <div class="flex justify-start items-center pt-4">
                                <div class="w-10 h-10 rounded-lg bg-white flex justify-center items-center">
                                    <svg class="w-6 h-6" xmlns="http://www.w3.org/2000/svg" height="24px"
                                        viewBox="0 0 24 24" width="24px" fill="#000000">
                                        <path
                                            d="M12 6c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2m0 10c2.7 0 5.8 1.29 6 2H6c.23-.72 3.31-2 6-2m0-12C9.79 4 8 5.79 8 8s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4zm0 10c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4z" />
                                    </svg>
                                </div>
                                <p class="mt-1 text-sm text-gray-100 dark:text-gray-500 ml-4">{{ event.follower.length }}
                                    iscritt{{event.follower.length == 1 ? 'o' : 'i'}}</p>
                            </div>
                            <div class="flex justify-start items-center pt-4">
                                <img [src]="event.ownerPhoto" *ngIf="event.ownerPhoto" alt=""
                                    class="w-10 h-10 rounded-lg bg-white">
                                <p class="mt-1 text-sm text-gray-100 dark:text-gray-500 ml-4">{{ event.ownerName }}</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="pt-28" *ngIf="!viewProfile">
    <div class="relative">
        <div class="absolute translate-y-1/2 -translate-x-1/2 left-1/2">
            <p class="p-2 font-semibold text-2xl text-gray-500 dark:text-white text-center">
                È necessario autenticarsi per visualizzare questa sezione
            </p>
        </div>
    </div>
</div>
<div *ngIf="viewProfile">
    <div class="relative pt-28" *ngIf="firebaseService.userInfo.events.eventsCreated?.length == 0 && createdEventsSelected">
        <div class="absolute translate-y-1/2 -translate-x-1/2 left-1/2">
            <p class="p-2 font-semibold text-2xl text-gray-500 dark:text-white text-center">
                Crea un evento per mostrarlo qui
            </p>
        </div>
    </div>
    <div class="relative pt-28" *ngIf="firebaseService.userInfo.events.eventsFollowed?.length == 0 && followedEventsSelected">
        <div class="absolute translate-y-1/2 -translate-x-1/2 left-1/2">
            <p class="p-2 font-semibold text-2xl text-gray-500 dark:text-white text-center">
                Segui un evento per mostrarlo qui
            </p>
        </div>
    </div>
</div>
<div class="foggy" [ngClass]="scelta ? 'open':''" (click)="actionTrigger()" (scroll)="actionTrigger()"></div>